overcloud deploy fails with Error: ceilometer-upgrade --skip-metering-database returned 1

Solution In Progress - Updated -

Issue

  • overcloud deploy fails with ceilometer errors
Aug 01 23:32:31 overcloud-controller-0 os-collect-config[3221]: rl instead.\u001b[0m\n\u001b[1;33mWarning: Scope(Oslo::Messaging::Rabbit[glance_registry_config]): The oslo_messaging rabbit_host, rabbit_hosts, rabbit_port, rabbit_userid, rabbit_password, rabbit_virtual_host parameters have been deprecated by the [DEFAULT]\\transport_url. Please use oslo::messaging::default::transport_url instead.\u001b[0m\n\u001b[1;33mWarning: Scope(Oslo::Messaging::Rabbit[neutron_config]): The oslo_messaging rabbit_host, rabbit_hosts, rabbit_port, rabbit_userid, rabbit_password, rabbit_virtual_host parameters have been deprecated by the [DEFAULT]\\transport_url. Please use oslo::messaging::default::transport_url instead.\u001b[0m\n\u001b[1;33mWarning: This method is deprecated, please use match expressions with Stdlib::Compat::Ipv6 instead. They are described at https://docs.puppet.com/puppet/latest/reference/lang_data_type.html#match-expressions. at :\n   (at /etc/puppet/modules/stdlib/lib/puppet/functions/deprecation.rb:25:in `deprecation')\u001b[0m\n\u001b[1;33mWarning: Scope(Oslo::Messaging::Rabbit[ceilometer_config]): The oslo_messaging rabbit_host, rabbit_hosts, rabbit_port, rabbit_userid, rabbit_password, rabbit_virtual_host parameters have been deprecated by the [DEFAULT]\\transport_url. Please use oslo::messaging::default::transport_url instead.\u001b[0m\n\u001b[1;33mWarning: Scope(Oslo::Messaging::Rabbit[aodh_config]): The oslo_messaging rabbit_host, rabbit_hosts, rabbit_port, rabbit_userid, rabbit_password, rabbit_virtual_host parameters have been deprecated by the [DEFAULT]\\transport_url. Please use oslo::messaging::default::transport_url instead.\u001b[0m\n\u001b[1;33mWarning: Scope(Haproxy::Config[haproxy]): haproxy: The $merge_options parameter will default to true in the next major release. Please review the documentation regarding the implications.\u001b[0m\n\u001b[1;33mWarning: [norpm] Attempting to uninstall openstack-nova-migration but it will not be removed\u001b[0m\n\u001b[1;31mError: ceilometer-upgrade --skip-metering-database returned 1 instead of one of [0]\u001b[0m\
Aug 01 23:32:31 overcloud-controller-0 os-collect-config[3221]: n\u001b[1;31mError: /Stage[main]/Tripleo::Profile::Base::Ceilometer::Collector/Exec[ceilometer-db-upgrade]/returns: change from notrun to 0 failed: ceilometer-upgrade --skip-metering-database returned 1 instead of one of [0]\u001b[0m\n", "deploy_status_code": 6}
Aug 01 23:32:31 overcloud-controller-0 os-collect-config[3221]: Error: ceilometer-upgrade --skip-metering-database returned 1 instead of one of [0]
Aug 01 23:32:31 overcloud-controller-0 os-collect-config[3221]: Error: /Stage[main]/Tripleo::Profile::Base::Ceilometer::Collector/Exec[ceilometer-db-upgrade]/returns: change from notrun to 0 failed: ceilometer-upgrade --skip-metering-database returned 1 instead of one of [0]
Aug 01 23:32:31 overcloud-controller-0 os-collect-config[3221]: [2017-08-01 23:32:31,598] (heat-config) [ERROR] Error running /var/lib/heat-config/heat-config-puppet/1283015e-4fca-464c-839e-652b88fa8913.pp. [6]

Environment

  • Red Hat OpenStack Platform 11.0

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In